import Logo from "@/Components/Logo/Logo";
import { usePage } from "@inertiajs/react";

export default function AuthLayout({ children }) {
    const { app_name } = usePage().props;

    const style = {
        backgroundImage: 'url(https://placehold.co/600x400)',
    };

    return (
        <div className="grid grid-cols-2 h-screen">
            <div className="hidden md:block bg-cover bg-center" style={style}></div>

            <div className="flex items-center justify-center col-span-2 lg:col-span-1 md:col-span-2">
                <div className="flex flex-col min-h-screen w-full pt-6 sm:justify-between">
                    <div className="flex flex-col items-center pt-10">
                        <Logo />

                        <div className="mt-6 w-full overflow-hidden p-4 sm:max-w-md">
                            {children}
                        </div>
                    </div>

                    <footer className="text-sm text-center mt-auto pb-3 text-text-primary">
                        <small>© Copyright - {new Date().getFullYear()} - {app_name} Todos os direitos reservados.</small>
                    </footer>
                </div>
            </div>
        </div>
    );
}